* Encoding: UTF-8.
*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Clculo de indicadores de la nueva condicin de actividad		y sectorizacin de la PEA	   				   
* OPERACIN ESTADSTICA:													   
* Encuesta Nacional de Empleo, Desempleo y Subempleo (ENEMDU)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Septiembre - 2014							   
* Fecha ltima modificacin:    Agosto - 2021					   
*==============================================================================*.
* Sintaxis elaborada en base a la "Nota metodolgica para la medicin del empleo en Ecuador".
*==============================================================================*.
* Elaborado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* Gestin de Estadsticas Permanentes a Hogares 	   						   
* Aprobado por:													   
* Direccin de Estudios Laborales y Econmicos (DELE)				       
* Unidad de Estudios de Mercado Laboral								       
*==============================================================================*.
* Revisado por:																   
* 1. Direccin de Estudios Laborales y Econmicos (DELE)				       
*    Unidad de Estudios de Mercado Laboral								       
* 2. Direccin de Estadsticas Sociodemogrficas (DIES)						   
*    Gestin de Estadsticas Permanentes a Hogares 	   						   
*==============================================================================*.
*Indicaciones.
*1- Ejecute esta sintaxis en la base de datos: enemdu_persona_xxxx_xx

*=====================================================================================.
*1 POBLACIN DE LOS PRINCIPALES INDICADORES DE MERCADO LABORAL
*=====================================================================================.
weight by fexp.
ctables /vlabels var= area dom_ciu p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia display=none
            /table (t_a[c] + menor15[c] + pobla15[c]> (petn[c] + pean[c]  + empleo[c] + adec[c] + sub[c] + 
                                sub_h[c] + sub_w[c] + nr[c] + oinad[c]  + nc[c] + desem[c] + desemab[c] + desemoc[c] + desem1[c] + 
                                desem2[c] + pein[c])) by area[c]  + dom_ciu[c] + p02[c] + pobla24[c] + pobla34[c] + pobla44[c] + pobla64[c] + pobla65[c]+ etnia[c]
           /slabels visible=no
           /categories variables = area    dom_ciu  p02  pobla24 pobla34 pobla44 pobla64 pobla65 etnia t_a  empty=INCLUDE
           /categories variables= area total = yes position=before
           /titles title='Indicadores de Mercado Laboral (15 aos y ms) - Poblacin'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.


*=====================================================================================.
* 2 TASAS DE LOS PRINCIPALES INDICADORES DE MERCADO LABORAL
*=====================================================================================.
weight by fexp. 
ctables /vlabels var=  pobla15 t_a area   dom_ciu p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia
                               templeob templeog tadec tsub tsub_h tsub_w tnr toinad tnc tdesem tdesemab tdesemoc 
                               tpartig tpartib15 display=none 
            /table (pobla15[c]> (templeob[s][mean 'Empleo Bruto (%)'] +  
                                templeog[s][mean 'Empleo Global (%)'] + 
                                tadec[s][mean 'Empleo Adecuado/pleno (%)'] + 
                                tsub[s][mean 'Subempleo (%)'] + 
                                tsub_h[s][mean 'Subempleo por insuficiencia de tiempo de trabajo (%)'] + 
                                tsub_w[s][mean 'Subempleo por  insuficiencia de ingresos (%)'] +  
                                tnr[s][mean 'Empleo no remunerado (%)'] + 
                                toinad[s][mean 'Otro no pleno (%)'] + 
                                tnc[s][mean 'Empleo no clasificado (%)'] + 
                                tdesem[s][mean 'Desempleo (%)'] + 
                                tdesemab[s][mean 'Desempleo Abierto (%)'] +
                                tdesemoc[s][mean 'Desempleo Oculto (%)'] + 
                                tpartig[s][mean 'Participacin Global (%)']) + 
                                tpartib15[s][mean 'Participacin Bruta (%)']) by t_a[c]+AREA[c]+  dom_ciu [c]+p02[c] + pobla24[c]  + pobla34[c]  +  pobla44[c]  + pobla64[c]  + pobla65[c] +etnia[c] 
           /slabels position=row
           /titles title='Indicadores de Mercado Laboral (15 aos y ms)'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 3.1.- CARACTERIZACIN DE LA POBLACIN CON EMPLEO
*=========================================================================================.

ctables /vlabels var = p02 claempl  asalind   gedad   nnivins rama_ag_1 etnia  formal informal empdom nocla  empleo  display = label
            /table p02[c][count colpct.count]  + claempl[c][count colpct.count]  + asalind[c][count colpct.count]   + gedad[c][count colpct.count] + nnivins[c][count colpct.count] +
              rama_ag_1[c][count colpct.count] + etnia[c][count colpct.count]  + secto[c][count colpct.count]   + ht[mean]> p02[c]  BY empleo[c] >pobla15[c] 
            /categories variables = p02 order=a key=value empty=include  total=yes position=before
            /categories variables =  claempl asalind     gedad  nnivins rama_ag_1 etnia  secto   empleo  order=a key=value empty=include 
            /titles title='Caracterizacin de la Poblacin Empleada'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 3.2.- CARACTERIZACIN DE LA POBLACIN CON EMPLEO ADECUADO
*=========================================================================================.

ctables /vlabels var = p02  claempl asalind  gedad nnivins  rama_ag_1 etnia  formal informal empdom nocla  adec  display = label
            /table p02[c][count colpct.count] + claempl[c][count colpct.count]  + asalind[c][count colpct.count]   + gedad[c][count colpct.count] + nnivins[c][count colpct.count]   + 
            rama_ag_1[c][count colpct.count] +  etnia[c][count colpct.count]  + secto[c][count colpct.count]    by adec[c] >pobla15[c] 
            /categories variables = p02 order=a key=value empty=include  total=yes position=before
            /categories variables =  claempl asalind  gedad  nnivins rama_ag_1  etnia secto   adec  order=a key=value empty=include 
            /titles title='Caracterizacin de la Poblacin con Empleo Adecuado'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 3.3.- CARACTERIZACIN DE LA POBLACIN SUBEMPLEADA
*=========================================================================================.

ctables /vlabels var = p02  claempl asalind  gedad  etnia  formal informal empdom nocla sub  display = label
            /table p02[c][count colpct.count] + claempl[c][count colpct.count]  + asalind[c][count colpct.count]   + gedad[c][count colpct.count]   + 
                     etnia[c][count colpct.count]  + secto[c][count colpct.count] by sub[c] >pobla15[c] 
            /categories variables = p02 order=a key=value empty=include total=yes position=before
            /categories variables = claempl asalind  gedad  etnia secto  sub  order=a key=value empty=include 
            /titles title='Caracterizacin de la Poblacin Subempleada'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 3.4.- CARACTERIZACIN DE LA POBLACIN CON OTRO EMPLEO NO PLENO
*=========================================================================================.

ctables /vlabels var = p02  claempl asalind  gedad  etnia  formal informal empdom nocla  oinad  display = label
            /table p02[c][count colpct.count] + claempl[c][count colpct.count]  + asalind[c][count colpct.count]   + gedad[c][count colpct.count]   + 
                     etnia[c][count colpct.count]  + secto[c][count colpct.count] by oinad[c] >pobla15[c] 
            /categories variables = p02 order=a key=value empty=include total=yes position=before
            /categories variables = claempl asalind  gedad  etnia secto  oinad  order=a key=value empty=include 
            /titles title='Caracterizacin de la Poblacin con Otro empleo no pleno'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 3.5.- CARACTERIZACIN DE LOS DESEMPLEADOS
*=========================================================================================.

ctables /vlabels var = p02 gedad desema desemb  desem display = label
            /table p02[c][count colpct.count]   + gedad[c][count colpct.count]  + desema[c][count colpct.count] + desemb[c][count colpct.count]  
                     by desem[c] >pobla15[c] 
            /categories variables = p02 order=a key=value empty=include total=yes position=before
            /categories variables = gedad desema desemb desem order=a key=value empty=include 
            /titles title='Caracterizacin de la Poblacin Desempleada'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.
*=========================================================================================.
* 4.- SECTORIZACIN DE LOS EMPLEADOS
*=========================================================================================.

ctables /vlabels var = area secto display=none
            /table area > secto [colpct.count]
            /categories variables = area total = yes position =before
            /titles title='Sectorizacin de la Poblacin Empleada'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.



